Bug 332074 - chrashes while playing video and adding a coulortag
Summary: chrashes while playing video and adding a coulortag
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Video (show other bugs)
Version: 3.5.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-03-12 21:58 UTC by G.Rass
Modified: 2017-07-27 10:28 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments
New crash information added by DrKonqi (19.47 KB, text/plain)
2014-03-12 22:04 UTC, G.Rass
Details

Note You need to log in before you can comment on or make changes to this bug.
Description G.Rass 2014-03-12 21:58:23 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.11.5
Qt Version: 4.8.5
Operating System: Linux 3.11.10-7-desktop x86_64
Distribution: "openSUSE 13.1 (Bottle) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Digikam chrashes while playing video in the preview and adding a coulortag to the playing video with ctrl-alt-6.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7f07b45900 (LWP 4927))]

Thread 16 (Thread 0x7f7ee4c36700 (LWP 4928)):
#0  0x00007f7eff10a0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7f02c5db66 in wait (time=18446744073709551615, this=0x2104820) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2104730, mutex=mutex@entry=0x2104728, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005df20e in Digikam::ScanController::run (this=0x21044c0) at /usr/src/debug/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007f7f02c5d68f in QThreadPrivate::start (arg=0x21044c0) at thread/qthread_unix.cpp:338
#5  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#6  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f7edffff700 (LWP 4929)):
#0  0x00007f7ef8eb1ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f7ef8eb22b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7ef8e725f9 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f7ef8e7270c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7f02d89d76 in QEventDispatcherGlib::processEvents (this=0x7f7ed80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00007f7f02d5bd0f in QEventLoop::processEvents (this=this@entry=0x7f7edfffeca0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f7f02d5c005 in QEventLoop::exec (this=this@entry=0x7f7edfffeca0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f7f02c5afef in QThread::exec (this=this@entry=0x2101080) at thread/qthread.cpp:536
#8  0x00007f7f02d3d513 in QInotifyFileSystemWatcherEngine::run (this=0x2101080) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00007f7f02c5d68f in QThreadPrivate::start (arg=0x2101080) at thread/qthread_unix.cpp:338
#10 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#11 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f7edf7fe700 (LWP 4932)):
#0  0x00007f7eff10a0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7f02c5db66 in wait (time=18446744073709551615, this=0x2122760) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2334d40, mutex=mutex@entry=0x2334d38, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f7f04e638fa in Digikam::ParkingThread::run (this=0x2334d20) at /usr/src/debug/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f7f02c5d68f in QThreadPrivate::start (arg=0x2334d20) at thread/qthread_unix.cpp:338
#5  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#6  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f7ecb57c700 (LWP 4939)):
#0  0x00007f7ef8eb1ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f7ef8eb22b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7ef8e71ca0 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f7ef8e72523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ef8e7270c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f7f02d89d76 in QEventDispatcherGlib::processEvents (this=0x7f7ea80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007f7f02d5bd0f in QEventLoop::processEvents (this=this@entry=0x7f7ecb57bc70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f7f02d5c005 in QEventLoop::exec (this=this@entry=0x7f7ecb57bc70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7f04e62fa3 in Digikam::WorkerObjectRunnable::run (this=0x7f7e9c035a40) at /usr/src/debug/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f7f02c5113e in QThreadPoolThread::run (this=0x44fbeb0) at concurrent/qthreadpool.cpp:107
#10 0x00007f7f02c5d68f in QThreadPrivate::start (arg=0x44fbeb0) at thread/qthread_unix.cpp:338
#11 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#12 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f7ec5ec9700 (LWP 4946)):
#0  0x00007f7ef8eb1ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f7ef8eb2289 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7ef8e71750 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f7ef8e724c5 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ef8e7270c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f7f02d89d76 in QEventDispatcherGlib::processEvents (this=0x7f7e9c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007f7f02d5bd0f in QEventLoop::processEvents (this=this@entry=0x7f7ec5ec8c70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f7f02d5c005 in QEventLoop::exec (this=this@entry=0x7f7ec5ec8c70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7f04e62fa3 in Digikam::WorkerObjectRunnable::run (this=0x2382b50) at /usr/src/debug/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f7f02c5113e in QThreadPoolThread::run (this=0x4501610) at concurrent/qthreadpool.cpp:107
#10 0x00007f7f02c5d68f in QThreadPrivate::start (arg=0x4501610) at thread/qthread_unix.cpp:338
#11 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#12 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f7ea7fff700 (LWP 4949)):
#0  0x00007f7f011a999d in read () from /lib64/libc.so.6
#1  0x00007f7ef8eb15c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7ef8e7212c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f7ef8e7259b in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ef8e7270c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f7f02d89d76 in QEventDispatcherGlib::processEvents (this=0x7f7e940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007f7f02d5bd0f in QEventLoop::processEvents (this=this@entry=0x7f7ea7ffec70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f7f02d5c005 in QEventLoop::exec (this=this@entry=0x7f7ea7ffec70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7f04e62fa3 in Digikam::WorkerObjectRunnable::run (this=0x7f7e9c048d30) at /usr/src/debug/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f7f02c5113e in QThreadPoolThread::run (this=0x4502300) at concurrent/qthreadpool.cpp:107
#10 0x00007f7f02c5d68f in QThreadPrivate::start (arg=0x4502300) at thread/qthread_unix.cpp:338
#11 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#12 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f7ea5ab3700 (LWP 5069)):
#0  0x00007f7f011adb3d in poll () from /lib64/libc.so.6
#1  0x00007f7f009ab8c1 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f7f0099d0ec in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f7f0099d75e in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f7f0099d810 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f7f009ab873 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f7ef70f7ef8 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-4.0.so
#7  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#8  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f7ecbd7d700 (LWP 5070)):
#0  0x00007f7eff10c89c in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x00007f7eff10850d in _L_lock_1086 () from /lib64/libpthread.so.0
#2  0x00007f7eff108487 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00007f7ef8eb2291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ec779a9f9 in ?? () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#5  0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#7  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f7edd641700 (LWP 5071)):
#0  0x00007f7eff10a0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7ef8eb2507 in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7ef12b9e63 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#3  0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#6  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f7ec8d77700 (LWP 5072)):
#0  0x00007f7eff10c89c in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x00007f7eff10850d in _L_lock_1086 () from /lib64/libpthread.so.0
#2  0x00007f7eff108487 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00007f7ef8eb2291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ec7de744a in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#6  0x00007f7ec7dd946e in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#7  0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#8  0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#9  0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#10 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#11 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#12 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#13 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#14 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#15 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#16 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#17 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#18 0x00007f7ec7dd946e in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#19 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#20 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#21 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#22 0x00007f7ec66fc494 in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#23 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#24 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#25 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#26 0x00007f7ec7dd1e23 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#27 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#28 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#29 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#30 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#31 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#32 0x00007f7e7a741aec in ?? () from /usr/lib64/gstreamer-0.10/libgstffmpeg.so
#33 0x00007f7e7a7453e2 in ?? () from /usr/lib64/gstreamer-0.10/libgstffmpeg.so
#34 0x00007f7e7a746e26 in ?? () from /usr/lib64/gstreamer-0.10/libgstffmpeg.so
#35 0x00007f7ef12946c1 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#36 0x00007f7eee1ebebc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#37 0x00007f7ef12946c1 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#38 0x00007f7eee1cf5c2 in gst_base_parse_push_frame () from /usr/lib64/libgstbase-0.10.so.0
#39 0x00007f7eee1d0d1a in ?? () from /usr/lib64/libgstbase-0.10.so.0
#40 0x00007f7e7b7ae1d7 in ?? () from /usr/lib64/gstreamer-0.10/libgstvideoparsersbad.so
#41 0x00007f7ef12946c1 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#42 0x00007f7ec7dd8551 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#43 0x00007f7ef12b9c94 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#44 0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#45 0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#46 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#47 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f7ec9578700 (LWP 5073)):
#0  0x00007f7eff10a0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7ef8eb2507 in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7eee1fa72d in gst_data_queue_pop () from /usr/lib64/libgstbase-0.10.so.0
#3  0x00007f7ec7dd7cbc in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#4  0x00007f7ef12b9c94 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#5  0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#7  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#8  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f7ec778e700 (LWP 5074)):
#0  0x00007f7eff10a0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7ef8eb2507 in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7eee1da20c in gst_base_sink_wait_preroll () from /usr/lib64/libgstbase-0.10.so.0
#3  0x00007f7eee1da3a0 in gst_base_sink_do_preroll () from /usr/lib64/libgstbase-0.10.so.0
#4  0x00007f7eee1dbd87 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#5  0x00007f7eee1de0af in ?? () from /usr/lib64/libgstbase-0.10.so.0
#6  0x00007f7eee1de556 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#7  0x00007f7eee1de88f in ?? () from /usr/lib64/libgstbase-0.10.so.0
#8  0x00007f7ef1290c43 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#9  0x00007f7ef12945b9 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#10 0x00007f7eee1ebebc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#11 0x00007f7ef1290c43 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#12 0x00007f7ef12945b9 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#13 0x00007f7eee1ebebc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#14 0x00007f7ef1290c43 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#15 0x00007f7ef12945b9 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#16 0x00007f7eee1ebebc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#17 0x00007f7ef1290c43 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#18 0x00007f7ef12945b9 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#19 0x00007f7eee1ebebc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#20 0x00007f7ef1290c43 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#21 0x00007f7ef12945b9 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#22 0x00007f7eee1ebebc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#23 0x00007f7ef1290c43 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#24 0x00007f7ef12945b9 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#25 0x00007f7ec7ddcd79 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#26 0x00007f7ef12b9c94 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#27 0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#28 0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#29 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#30 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f7ec66ca700 (LWP 5075)):
#0  0x00007f7eff10a0af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7ef8eb2507 in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7ec7ddc645 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f7ef12b9c94 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#4  0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#7  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f7ec56c8700 (LWP 5076)):
#0  0x00007f7eff10c89c in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x00007f7eff10850d in _L_lock_1086 () from /lib64/libpthread.so.0
#2  0x00007f7eff108487 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00007f7ef8eb2291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ec779b51c in ?? () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#5  0x00007f7ef1279de2 in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#6  0x00007f7ef127a453 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#7  0x00007f7ef1268292 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#8  0x00007f7ef1279de2 in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#9  0x00007f7ef127a453 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#10 0x00007f7ef1268292 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#11 0x00007f7ef1279de2 in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#12 0x00007f7ef127a453 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#13 0x00007f7ef1268292 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#14 0x00007f7ef1279de2 in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#15 0x00007f7ef127a453 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#16 0x00007f7ef1268292 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#17 0x00007f7ec66e1003 in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#18 0x00007f7ef1279de2 in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#19 0x00007f7ef127a453 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#20 0x00007f7ef1268292 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#21 0x00007f7ef1297e92 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#22 0x00007f7ec66dd803 in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#23 0x00007f7ef1279de2 in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#24 0x00007f7ef127a453 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#25 0x00007f7eddaed0fc in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#26 0x00007f7eddaed169 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#27 0x00007f7eddae2efe in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#28 0x00007f7eddae3429 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#29 0x00007f7f072c3fb4 in Phonon::MediaNodePrivate::deleteBackendObject() () from /usr/lib64/libphonon.so.4
#30 0x00007f7f072b6e5f in ?? () from /usr/lib64/libphonon.so.4
#31 0x00007f7f072b7119 in ?? () from /usr/lib64/libphonon.so.4
#32 0x00007f7f011073d9 in __run_exit_handlers () from /lib64/libc.so.6
#33 0x00007f7f01107425 in exit () from /lib64/libc.so.6
#34 0x00007f7f01ee4298 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:772
#35 0x00007f7f037c4d40 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib64/libkdeui.so.5
#36 0x00007f7eff6a73fe in _XIOError (dpy=dpy@entry=0xe69d800) at XlibInt.c:1498
#37 0x00007f7eff6a5575 in _XReply (dpy=0xe69d800, rep=0x7f7ec56c6c30, extra=0, discard=0) at xcb_io.c:708
#38 0x00007f7edc7f4ef1 in XvCreateImage () from /usr/lib64/libXv.so.1
#39 0x00007f7edc7f4ff9 in XvShmCreateImage () from /usr/lib64/libXv.so.1
#40 0x00007f7ec779581f in ?? () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#41 0x00007f7ec779649b in ?? () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#42 0x00007f7eee1d4256 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#43 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#44 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#45 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#46 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#47 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#48 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#49 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#50 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#51 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#52 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#53 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#54 0x00007f7ec7dd946e in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#55 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#56 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#57 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#58 0x00007f7ec7de76e3 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#59 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#60 0x00007f7ec7dd946e in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#61 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#62 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#63 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#64 0x00007f7ef12803a9 in gst_proxy_pad_bufferalloc_default () from /usr/lib64/libgstreamer-0.10.so.0
#65 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#66 0x00007f7eee1e7b36 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#67 0x00007f7ef128f7b5 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#68 0x00007f7eee1eb7d6 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#69 0x00007f7eee1ebe0e in ?? () from /usr/lib64/libgstbase-0.10.so.0
#70 0x00007f7ef12946c1 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#71 0x00007f7ef12946c1 in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#72 0x00007f7ec7ddcd79 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#73 0x00007f7ef12b9c94 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#74 0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#75 0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#76 0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#77 0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f7ea62b4700 (LWP 5081)):
#0  0x00007f7eff10c89c in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x00007f7eff1084f2 in _L_lock_957 () from /lib64/libpthread.so.0
#2  0x00007f7eff10835a in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00007f7ef8e46c51 in g_static_rec_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7ef12621e4 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#5  0x00007f7ef8e979f6 in ?? () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f7ef8e97035 in ?? () from /usr/lib64/libglib-2.0.so.0
#7  0x00007f7eff1060db in start_thread () from /lib64/libpthread.so.0
#8  0x00007f7f011b690d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f7f07b45900 (LWP 4927)):
[KCrash Handler]
#5  0x00007f7f01104849 in raise () from /lib64/libc.so.6
#6  0x00007f7f01105cd8 in abort () from /lib64/libc.so.6
#7  0x00007f7f010fd616 in __assert_fail_base () from /lib64/libc.so.6
#8  0x00007f7f010fd6c2 in __assert_fail () from /lib64/libc.so.6
#9  0x00007f7eff6a4a59 in poll_for_event (dpy=dpy@entry=0x201c000) at xcb_io.c:271
#10 0x00007f7eff6a4aee in poll_for_response (dpy=dpy@entry=0x201c000) at xcb_io.c:289
#11 0x00007f7eff6a4dcd in _XEventsQueued (dpy=dpy@entry=0x201c000, mode=mode@entry=2) at xcb_io.c:363
#12 0x00007f7eff696ddb in XEventsQueued (dpy=0x201c000, mode=2) at Pending.c:43
#13 0x00007f7f01f1a407 in x11EventSourcePrepare (s=0x2019890, timeout=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:77
#14 0x00007f7ef8e71cad in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#15 0x00007f7ef8e72523 in ?? () from /usr/lib64/libglib-2.0.so.0
#16 0x00007f7ef8e7270c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#17 0x00007f7f02d89d55 in QEventDispatcherGlib::processEvents (this=0x1f8adb0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#18 0x00007f7f01f1a936 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#19 0x00007f7f02d5bd0f in QEventLoop::processEvents (this=this@entry=0x7fff3e4808e0, flags=...) at kernel/qeventloop.cpp:149
#20 0x00007f7f02d5c005 in QEventLoop::exec (this=this@entry=0x7fff3e4808e0, flags=...) at kernel/qeventloop.cpp:204
#21 0x00007f7f02d6113b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#22 0x00007f7f01e7c06c in QApplication::exec () at kernel/qapplication.cpp:3823
#23 0x000000000049b223 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 329834, bug 327961.

Reported using DrKonqi
Comment 1 caulier.gilles 2014-03-12 22:03:11 UTC
The report backtrace do not show any digiKam code. As digiKam do not have code to play video, i suspect that problem is relevant of KDE video player embedded in digiKam.

Try to get a better GDB backtrace to confirm.

Gilles Caulier
Comment 2 G.Rass 2014-03-12 22:04:08 UTC
Created attachment 85561 [details]
New crash information added by DrKonqi

digikam (3.5.0) on KDE Platform 4.11.5 using Qt 4.8.5

- What I was doing when the application crashed:
I was colour taging the video, and it crashed every time i tried.

-- Backtrace (Reduced):
#9  0x00007fa575a18a59 in poll_for_event (dpy=dpy@entry=0x1598000) at xcb_io.c:271
#10 0x00007fa575a18aee in poll_for_response (dpy=dpy@entry=0x1598000) at xcb_io.c:289
#11 0x00007fa575a18dcd in _XEventsQueued (dpy=dpy@entry=0x1598000, mode=mode@entry=2) at xcb_io.c:363
#12 0x00007fa575a0addb in XEventsQueued (dpy=0x1598000, mode=2) at Pending.c:43
#13 0x00007fa57828e407 in x11EventSourcePrepare (s=0x1595890, timeout=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:77
Comment 3 caulier.gilles 2014-03-12 22:30:48 UTC

*** This bug has been marked as a duplicate of bug 332075 ***
Comment 4 caulier.gilles 2016-12-17 10:17:31 UTC
digiKam 5.4.0 bundles will use QtAV framework instead Qt5Multimedia to thumb and play video. The Slideshow tool will also support video as well.

QtAV use ffmpeg codecs. It's multi-platform and will always available in 
OSX, Windows and Linux bundles that digiKam team provide.

For Linux packagers, you will need to turn on video support at compilation time and solve QtAV dependencies...

The screenshot here :

https://www.flickr.com/photos/digikam/30886133553/in/dateposted-public/

... is based on pre-release of AppImage 64 bits Linux bundle, just recompiled and post to GDrive for testing. The 32bits version is under process and will be available at the same place today evening.

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM